GDCMPAP3(1)

NAME
gdcmpap3 - Tool to convert PAPYRUS 3.0 to DICOM.

SYNOPSIS

    gdcmpap3 [options] file-in file-out

DESCRIPTION

The gdcmpap3 command line program takes as input a PAPYRUS 3.0 file (file-in) and process it to generate an output (pseudo) DICOM file (file-out). The command line option dictate the type of operation(s) gdcmpap3 will use to generate the output file.

PARAMETERS

    file-in   DICOM input filename

    file-out  DICOM output filename

OPTIONS

      -i --input      DICOM filename
      -o --output     DICOM filename

SPECIFIC OPTIONS

      -S --split            Split multiframes PAPYRUS 3.0 into multiples DICOM files
         --decomp-pap3      Use PAPYRUS 3.0 for decompressing (can be combined with --split).
         --check-iop        Check that the Image Orientation (Patient) Attribute is ok (see --split).

GENERAL OPTIONS

      -h   --help
             print this help text and exit

      -v   --version
             print version information and exit

      -V   --verbose
             verbose mode (warning+error).

      -W   --warning
             warning mode, print warning information

      -E   --error
             error mode, print error information

      -D   --debug
             debug mode, print debug information

ENVIRONMENT VARIABLE

GDCM_ROOT_UID Root UID

SIMPLE USAGE

gdcmpap3 is a great tool to convert broken PAPYRUS 3.0 implementation into properly parsable DICOM file. Usage is simply:

    $ gdcmpap3 input.pa3 output.dcm

or if you prefer being explicit:

    $ gdcmpap3 -i input.pa3 -o output.dcm

Even though gdcmpap3 can overwrite directly on the same file (input.pa3 = output.dcm), it is recommended that user should first convert into a different file to make sure the bug is properly handled by GDCM.

SEE ALSO

gdcmdump(1), gdcmconv(1), gdcminfo(1)

AUTHOR

Mathieu Malaterre
    Main developer

COPYRIGHT
Copyright © 2006, 2011 Mathieu Malaterre